Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractRemoveRule

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractRemoveRule

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ContractRemoveRule extends IdTitle
Описание правила для автоматического удаления договора

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ContractRemoveRule.RemoveRuleType`
  `static enum`
  `ContractRemoveRule.TypeRuleRemoveByTime`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractRemoveRule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getBalance()`
  `String`
  `getComment()`
  `LocalDate`
  `getDateFrom()`
  `LocalDate`
  `getDateTo()`
  `List<Integer>`
  `getLabels()`
  `ContractRemoveRule.RemoveRuleType`
  `getRemoveRuleType()`
  `List<Integer>`
  `getStatuses()`
  `int`
  `getTimeCount()`
  `ContractRemoveRule.TypeRuleRemoveByTime`
  `getTypeRuleRemoveByTime()`
  `ContractRemoveRule`
  `setBalance(BigDecimal balance)`
  `ContractRemoveRule`
  `setComment(String comment)`
  `ContractRemoveRule`
  `setDateFrom(LocalDate dateFrom)`
  `ContractRemoveRule`
  `setDateTo(LocalDate dateTo)`
  `ContractRemoveRule`
  `setId(int id)`
  Устанавливает id объекта
  `ContractRemoveRule`
  `setLabels(List<Integer> labels)`
  `ContractRemoveRule`
  `setRemoveRuleType(ContractRemoveRule.RemoveRuleType removeRuleType)`
  `ContractRemoveRule`
  `setStatuses(List<Integer> statuses)`
  `ContractRemoveRule`
  `setTimeCount(int timeCount)`
  `ContractRemoveRule`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `ContractRemoveRule`
  `setTypeRuleRemoveByTime(ContractRemoveRule.TypeRuleRemoveByTime typeRuleRemoveByTime)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractRemoveRule

    public ContractRemoveRule()

- ## Method Details

  - ### getBalance

    public BigDecimal getBalance()

  - ### getComment

    public String getComment()

  - ### getDateFrom

    public LocalDate getDateFrom()

  - ### getDateTo

    public LocalDate getDateTo()

  - ### getLabels

    public List<Integer> getLabels()

  - ### getRemoveRuleType

    public ContractRemoveRule.RemoveRuleType getRemoveRuleType()

  - ### getStatuses

    public List<Integer> getStatuses()

  - ### getTimeCount

    public int getTimeCount()

  - ### getTypeRuleRemoveByTime

    public ContractRemoveRule.TypeRuleRemoveByTime getTypeRuleRemoveByTime()

  - ### setBalance

    public ContractRemoveRule setBalance(BigDecimal balance)

  - ### setComment

    public ContractRemoveRule setComment(String comment)

  - ### setDateFrom

    public ContractRemoveRule setDateFrom(LocalDate dateFrom)

  - ### setDateTo

    public ContractRemoveRule setDateTo(LocalDate dateTo)

  - ### setId

    public ContractRemoveRule setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setLabels

    public ContractRemoveRule setLabels(List<Integer> labels)

  - ### setRemoveRuleType

    public ContractRemoveRule setRemoveRuleType(ContractRemoveRule.RemoveRuleType removeRuleType)

  - ### setStatuses

    public ContractRemoveRule setStatuses(List<Integer> statuses)

  - ### setTimeCount

    public ContractRemoveRule setTimeCount(int timeCount)

  - ### setTitle

    public ContractRemoveRule setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setTypeRuleRemoveByTime

    public ContractRemoveRule setTypeRuleRemoveByTime(ContractRemoveRule.TypeRuleRemoveByTime typeRuleRemoveByTime)